Package icyllis.arc3d.engine.trash.ops

# Class MeshDrawOp

java.lang.Object
icyllis.arc3d.core.Rect2f
icyllis.arc3d.engine.trash.ops.Op
icyllis.arc3d.engine.trash.ops.DrawOp
icyllis.arc3d.engine.trash.ops.MeshDrawOp

All Implemented Interfaces:
  `Rect2fc`, `Mesh`

Direct Known Subclasses:
  `CircularRRectOp`, `RectOp`, `RoundRectOp`

@Deprecated public abstract class MeshDrawOp extends DrawOp implements Mesh
Deprecated.
Base class for mesh-drawing `DrawOps`.

- ## Field Summary

  ### Fields inherited from class icyllis.arc3d.core.Rect2f

  `mBottom, mLeft, mRight, mTop`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MeshDrawOp()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getInstanceSize()`
  Deprecated.
  Returns the size of an instance if enabled in the array.
  `GraphicsPipelineDesc_Old`
  `getPipelineInfo()`
  Deprecated.
  `GraphicsPipeline`
  `getPipelineState()`
  Deprecated.
  `int`
  `getVertexSize()`
  Deprecated.
  Returns the size of a vertex if enabled in the array.
  `protected abstract GraphicsPipelineDesc_Old`
  `onCreatePipelineInfo(ImageProxyView writeView, int pipelineFlags)`
  Deprecated.
  `final void`
  `onPrepare(OpFlushState state, ImageProxyView writeView, int pipelineFlags)`
  Deprecated.
  Called prior to executing.
  `protected abstract void`
  `onPrepareDraws(MeshDrawTarget target)`
  Deprecated.
  `void`
  `onPrePrepare(RecordingContext context, ImageProxyView writeView, int pipelineFlags)`
  Deprecated.
  This can optionally be called before 'prepare' (but after sorting).

  ### Methods inherited from class icyllis.arc3d.engine.trash.ops.DrawOp

  `usesStencil`

  ### Methods inherited from class icyllis.arc3d.engine.trash.ops.Op

  `chainConcat, chainSplit, hasAABloat, hasZeroArea, isChainHead, isChainTail, mayChain, nextInChain, onExecute, onMayChain, prevInChain, setBoundsFlags, setClippedBounds, validateChain, visitProxies`

  ### Methods inherited from class icyllis.arc3d.core.Rect2f

  `adjust, adjust, adjust, bottom, centerX, centerY, contains, contains, contains, contains, empty, equals, halfHeight, halfWidth, hashCode, height, inset, inset, inset, inset, intersect, intersect, intersect, intersect, intersectNoCheck, intersectNoCheck, intersectNoCheck, intersects, intersects, intersects, intersects, isEmpty, isFinite, isSorted, join, join, join, join, joinNoCheck, joinNoCheck, joinNoCheck, left, offset, offsetTo, outset, rectsOverlap, rectsTouchOrOverlap, right, round, round, roundIn, roundIn, roundOut, roundOut, set, set, set, setBounds, setBoundsNoCheck, setEmpty, sort, store, store, subtract, top, toString, width, x, y`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface icyllis.arc3d.engine.Mesh

  `getIndexCount, getInstanceCount, getVertexCount, setIndexBuffer, setInstanceBuffer, setVertexBuffer`

- ## Constructor Details

  - ### MeshDrawOp

    public MeshDrawOp()
    Deprecated.

- ## Method Details

  - ### getPipelineInfo

    public GraphicsPipelineDesc_Old getPipelineInfo()
    Deprecated.

  - ### getPipelineState

    public GraphicsPipeline getPipelineState()
    Deprecated.

  - ### getVertexSize

    public int getVertexSize()
    Deprecated.
    Description copied from interface: `Mesh`
    Returns the size of a vertex if enabled in the array.
    Specified by:
      `getVertexSize` in interface `Mesh`

  - ### getInstanceSize

    public int getInstanceSize()
    Deprecated.
    Description copied from interface: `Mesh`
    Returns the size of an instance if enabled in the array.
    Specified by:
      `getInstanceSize` in interface `Mesh`

  - ### onPrePrepare

    public void onPrePrepare(RecordingContext context, ImageProxyView writeView, int pipelineFlags)
    Deprecated.
    Description copied from class: `Op`
    This can optionally be called before 'prepare' (but after sorting). Each op that overrides onPrePrepare must be prepared to handle both cases (when onPrePrepare has been called ahead of time and when it has not been called).
    Specified by:
      `onPrePrepare` in class `Op`

  - ### onPrepare

    public final void onPrepare(OpFlushState state, ImageProxyView writeView, int pipelineFlags)
    Deprecated.
    Description copied from class: `Op`
    Called prior to executing. The op should perform any resource creation or data transfers necessary before execute() is called.
    Specified by:
      `onPrepare` in class `Op`

  - ### onCreatePipelineInfo

    @Nonnull protected abstract GraphicsPipelineDesc_Old onCreatePipelineInfo(ImageProxyView writeView, int pipelineFlags)
    Deprecated.

  - ### onPrepareDraws

    protected abstract void onPrepareDraws(MeshDrawTarget target)
    Deprecated.